local UIRadarZombieBusTrainEnterTip = BaseClass("UIRadarZombieBusTrainEnterTip", UIBaseContainer)
local base = UIBaseContainer
local firstInTip_path = "FirstInTip"
local fullTip_path = "FullTip"
local fullTip_text_path = "FullTip/TipTxt"
local bus_img = "FirstInTip/Icon"
local OnCreate = function(self)
  base.OnCreate(self)
  self:ComponentDefine()
  self:DataDefine()
  self:Refresh()
end
local OnDestroy = function(self)
  self:ComponentDestroy()
  self:DataDestroy()
  base.OnDestroy(self)
end
local OnEnable = function(self)
  base.OnEnable(self)
end
local OnDisable = function(self)
  base.OnDisable(self)
end
local ComponentDefine = function(self)
  self.firstInTip = self:AddComponent(UIButton, firstInTip_path)
  self.firstInTip:SetOnClick(function()
    self.holder:OnClick()
  end)
  self.fullTip = self:AddComponent(UIBaseContainer, fullTip_path)
  self.fullTipText = self:AddComponent(UIText, fullTip_text_path)
  self.fullTipText:SetLocalText("ghostrecon_077")
  self.fullTip:SetActive(false)
  self.iconImg = self:AddComponent(UIRawImage, bus_img)
end
local ComponentDestroy = function(self)
  self.firstInTip = nil
end
local DataDefine = function(self)
end
local DataDestroy = function(self)
  self.zombieBusEventInfo = nil
end
local OnAddListener = function(self)
end
local OnRemoveListener = function(self)
end
local Refresh = function(self)
  self.iconImg:SetActive(true)
  local zombieBusEventInfo = DataCenter.RadarCenterDataManager:GetZombieBusTrainEvent()
  self.zombieBusEventInfo = zombieBusEventInfo
  if self.zombieBusEventInfo.template then
    self.iconImg:LoadSpriteAsync(string.format(LoadPath.UIDetectTextureExPath, self.zombieBusEventInfo.template.banner_image))
  end
end
UIRadarZombieBusTrainEnterTip.OnCreate = OnCreate
UIRadarZombieBusTrainEnterTip.OnDestroy = OnDestroy
UIRadarZombieBusTrainEnterTip.OnEnable = OnEnable
UIRadarZombieBusTrainEnterTip.OnDisable = OnDisable
UIRadarZombieBusTrainEnterTip.ComponentDefine = ComponentDefine
UIRadarZombieBusTrainEnterTip.ComponentDestroy = ComponentDestroy
UIRadarZombieBusTrainEnterTip.DataDefine = DataDefine
UIRadarZombieBusTrainEnterTip.DataDestroy = DataDestroy
UIRadarZombieBusTrainEnterTip.OnAddListener = OnAddListener
UIRadarZombieBusTrainEnterTip.OnRemoveListener = OnRemoveListener
UIRadarZombieBusTrainEnterTip.Refresh = Refresh
return UIRadarZombieBusTrainEnterTip
